Show / Hide Table of Contents

# Class OpenIddictConstants.Metadata

##### Inheritance

System.Object
OpenIddictConstants.Metadata

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class Metadata

### Fields

#### AcrValuesSupported

##### Declaration

    public const string AcrValuesSupported = "acr_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### AuthorizationEndpoint

##### Declaration

    public const string AuthorizationEndpoint = "authorization_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClaimsLocalesSupported

##### Declaration

    public const string ClaimsLocalesSupported = "claims_locales_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClaimsParameterSupported

##### Declaration

    public const string ClaimsParameterSupported = "claims_parameter_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClaimsSupported

##### Declaration

    public const string ClaimsSupported = "claims_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ClaimTypesSupported

##### Declaration

    public const string ClaimTypesSupported = "claim_types_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### CodeChallengeMethodsSupported

##### Declaration

    public const string CodeChallengeMethodsSupported = "code_challenge_methods_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### DeviceAuthorizationEndpoint

##### Declaration

    public const string DeviceAuthorizationEndpoint = "device_authorization_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### DisplayValuesSupported

##### Declaration

    public const string DisplayValuesSupported = "display_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### EndSessionEndpoint

##### Declaration

    public const string EndSessionEndpoint = "end_session_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### GrantTypesSupported

##### Declaration

    public const string GrantTypesSupported = "grant_types_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdTokenEncryptionAlgValuesSupported

##### Declaration

    public const string IdTokenEncryptionAlgValuesSupported = "id_token_encryption_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdTokenEncryptionEncValuesSupported

##### Declaration

    public const string IdTokenEncryptionEncValuesSupported = "id_token_encryption_enc_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### IdTokenSigningAlgValuesSupported

##### Declaration

    public const string IdTokenSigningAlgValuesSupported = "id_token_signing_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### IntrospectionEndpoint

##### Declaration

    public const string IntrospectionEndpoint = "introspection_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### IntrospectionEndpointAuthMethodsSupported

##### Declaration

    public const string IntrospectionEndpointAuthMethodsSupported = "introspection_endpoint_auth_methods_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### IntrospectionEndpointAuthSigningAlgValuesSupported

##### Declaration

    public const string IntrospectionEndpointAuthSigningAlgValuesSupported = "introspection_endpoint_auth_signing_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### Issuer

##### Declaration

    public const string Issuer = "issuer"

##### Field Value

Type | Description
--- | ---
System.String |

#### JwksUri

##### Declaration

    public const string JwksUri = "jwks_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### OpPolicyUri

##### Declaration

    public const string OpPolicyUri = "op_policy_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### OpTosUri

##### Declaration

    public const string OpTosUri = "op_tos_uri"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestObjectEncryptionAlgValuesSupported

##### Declaration

    public const string RequestObjectEncryptionAlgValuesSupported = "request_object_encryption_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestObjectEncryptionEncValuesSupported

##### Declaration

    public const string RequestObjectEncryptionEncValuesSupported = "request_object_encryption_enc_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestObjectSigningAlgValuesSupported

##### Declaration

    public const string RequestObjectSigningAlgValuesSupported = "request_object_signing_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestParameterSupported

##### Declaration

    public const string RequestParameterSupported = "request_parameter_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequestUriParameterSupported

##### Declaration

    public const string RequestUriParameterSupported = "request_uri_parameter_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RequireRequestUriRegistration

##### Declaration

    public const string RequireRequestUriRegistration = "require_request_uri_registration"

##### Field Value

Type | Description
--- | ---
System.String |

#### ResponseModesSupported

##### Declaration

    public const string ResponseModesSupported = "response_modes_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ResponseTypesSupported

##### Declaration

    public const string ResponseTypesSupported = "response_types_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RevocationEndpoint

##### Declaration

    public const string RevocationEndpoint = "revocation_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### RevocationEndpointAuthMethodsSupported

##### Declaration

    public const string RevocationEndpointAuthMethodsSupported = "revocation_endpoint_auth_methods_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### RevocationEndpointAuthSigningAlgValuesSupported

##### Declaration

    public const string RevocationEndpointAuthSigningAlgValuesSupported = "revocation_endpoint_auth_signing_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ScopesSupported

##### Declaration

    public const string ScopesSupported = "scopes_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### ServiceDocumentation

##### Declaration

    public const string ServiceDocumentation = "service_documentation"

##### Field Value

Type | Description
--- | ---
System.String |

#### SubjectTypesSupported

##### Declaration

    public const string SubjectTypesSupported = "subject_types_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenEndpoint

##### Declaration

    public const string TokenEndpoint = "token_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenEndpointAuthMethodsSupported

##### Declaration

    public const string TokenEndpointAuthMethodsSupported = "token_endpoint_auth_methods_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### TokenEndpointAuthSigningAlgValuesSupported

##### Declaration

    public const string TokenEndpointAuthSigningAlgValuesSupported = "token_endpoint_auth_signing_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### UiLocalesSupported

##### Declaration

    public const string UiLocalesSupported = "ui_locales_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserinfoEncryptionAlgValuesSupported

##### Declaration

    public const string UserinfoEncryptionAlgValuesSupported = "userinfo_encryption_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserinfoEncryptionEncValuesSupported

##### Declaration

    public const string UserinfoEncryptionEncValuesSupported = "userinfo_encryption_enc_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserinfoEndpoint

##### Declaration

    public const string UserinfoEndpoint = "userinfo_endpoint"

##### Field Value

Type | Description
--- | ---
System.String |

#### UserinfoSigningAlgValuesSupported

##### Declaration

    public const string UserinfoSigningAlgValuesSupported = "userinfo_signing_alg_values_supported"

##### Field Value

Type | Description
--- | ---
System.String |